@import "../../base";
@import "../../theme";

.titled-comp {
  display: grid;
  grid-template-rows: $mat-cell-dimension * 6 auto;

  .titled-comp-title {
    padding-left: $mat-cell-dimension;
    padding-right: $mat-cell-dimension;
    color: $mdc-theme-primary;
    justify-self: center;
    align-self: center;
    @extend %mat-headline4;
  }

  .titled-comp-backbutton {
    @extend %full-centered-content
  }

  .titled-comp-content {
    @include mat-top-margin(2);
    justify-self: center;
  }
}